Last modified: 2013-04-22 16:15:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37018 - the inputbox always has the directionality of the content language
the inputbox always has the directionality of the content language
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
InputBox (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Amir E. Aharoni
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-05-22 12:06 UTC by Amir E. Aharoni
Modified: 2013-04-22 16:15 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-05-22 12:06:52 UTC
The inputbox always has the directionality of the content language. It would be useful to change it in some cases and to specify explicit directionality. An example is article creation box in the Wikimedia Incubator, which should be RTL for RTL incubators.
Comment 1 Robin Pepermans (SPQRobin) 2012-08-22 21:40:15 UTC
It may be even better to set the default to the directionality of the page content language via $this->mParser->getTargetLanguage()->getDir(), then configuration would mostly even not be necessary.
Comment 2 Amir E. Aharoni 2012-09-02 21:30:20 UTC
Fix submitted in https://gerrit.wikimedia.org/r/#/c/22367/ .

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links